Skip to main content
`Ctrl`+`K`

# RGSetFromOptions

Sets `RG` options from the options database.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGSetFromOptions(RG rg)

Collective

## Input Parameter

- rg - the region context

## Note

To see all options, run your program with the `-help` option.

## See Also

RG: Region, `RGSetOptionsPrefix()`

## Level

beginner

## Location

src/sys/classes/rg/interface/rgbasic.c

## Implementations

RGSetFromOptions_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c
RGSetFromOptions_Interval() in src/sys/classes/rg/impls/interval/rginterval.c
RGSetFromOptions_Polygon() in src/sys/classes/rg/impls/polygon/rgpolygon.c
RGSetFromOptions_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages